#ifndef GRAPHICS_INPUT_H
#define GRAPHICS_INPUT_H

/*
**  input.h
**
**  (C) Copyright 2003-2004 Rocklyte Systems.
**      All Rights Reserved.
*/

#ifndef MAIN_H
#include <pandora/main.h>
#endif

/*****************************************************************************
** Input flags.
*/

#define INF_HIDE          0x00000001 /* Hide on creation, or input is currently hidden*/
#define INF_DISABLED      0x00000002 /* Disable on creation */
#define INF_NOGFX         0x00000004 /* Do not generate any text or image graphics using internal routines (use the Template graphics definition) */
#define INF_NOBKGD        0x00000008 /* Do not draw background graphics (automatically set if Template graphics are used) */
#define INF_LOCAL         0x00000010 /* On activation, execute objects locally rather than messaging them */
#define INF_FADEBORDER    0x00000020 /* Fade the border edges into the main colour (requires thickness > 1) */
#define INF_SUNKEN        0x00000040 /* Reverses the highlight and shadow definitions to create a sunken effect */
#define INF_NOFOCUS       0x00000080 /* Do not draw lines around the input to indicate that it has the focus */
#define INF_RAISED        0x00000100 /* Indicates that the input box will be drawn with the raised effect */
#define INF_ACTIVEDRAW    0x00000200 /* Pro-actively redraw the object when graphics alterations are made */
#define INF_FOCUSACTIVATE 0x00000400 /* Activate object if the focus is lost */
#define INF_COMMANDLINE   0x00000800 /* Function as a command-line */
#define INF_SELECTTEXT    0x00001000 /* Select all text when the input box is shown for the first time */
#define INF_SECRET        0x00002000 /* Used for secret user entry (passwords) */

#endif /* GRAPHICS_INPUT_H */
